com.asprise.imaging.scan.win

## Class WiaDevice

- java.lang.Object
- - com.asprise.imaging.scan.DeviceItem
  - - com.asprise.imaging.scan.Device
    - - com.asprise.imaging.scan.win.WiaDevice

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class WiaDevice
      extends Device

  WIA device

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes it children.
    `String` | `getDescription()` Description (optional)
    `FunctionalUnit` | `getDocumentFeeder()` Finds the first document feeder functional unit
    `String` | `getDriverPath()` Driver path if available
    `String` | `getDriverVersion()` Driver version if available
    `FunctionalUnit` | `getFlatbed()` Finds the first flatbed functional unit.
    `String` | `getId()` ID of device or functional unit
    `String` | `getName()` Name (optional)
    `String` | `getPort()` Device port (optional)
    `boolean` | `isDuplexReady()` Return true if this is a document feeder AND the duplexer is enabled and ready to use.
    `boolean` | `isFeedReady()` Return true if this is a document feeder AND it has a page loaded and is ready for use.
    `boolean` | `isFlatReady()` Return true if this is a flatbed AND it is ready for use.
    `boolean` | `isScanner()` Whether the device is a scanner.
    `List<Capability>` | `refreshCapabilities()` Refresh capabilities from the device.
    `String` | `toString(boolean verbose, boolean withCapabilities)` String representation of this device.

    - ### Methods inherited from class com.asprise.imaging.scan.Device

      `getFunctionalUnits, refreshDeviceTree, toString`

    - ### Methods inherited from class com.asprise.imaging.scan.DeviceItem

      `getCapabilities, getCapability, getCapabilityCurrentValueAsLong, getCapabilityCurrentValueAsString, getCapabilityValue, getCapabilityValueAsLong, getCapabilityValueAsString, isCapabilityDirty, setCapabilityDirty, setCapabilityValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Description copied from class: `DeviceItem`
      Closes it children.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `DeviceItem`
      Throws:
        `IOException`

    - #### refreshCapabilities

          public List<Capability> refreshCapabilities()
                                               throws ScanException

      Description copied from class: `DeviceItem`
      Refresh capabilities from the device.
      Specified by:
        `refreshCapabilities` in class `DeviceItem`
      Returns:
        list of capabilities that changed
      Throws:
        `ScanException`

    - #### getId

          public String getId()

      Description copied from class: `DeviceItem`
      ID of device or functional unit
      Specified by:
        `getId` in class `DeviceItem`

    - #### getName

          public String getName()

      Description copied from class: `DeviceItem`
      Name (optional)
      Specified by:
        `getName` in class `DeviceItem`

    - #### getDescription

          public String getDescription()

      Description copied from class: `DeviceItem`
      Description (optional)
      Specified by:
        `getDescription` in class `DeviceItem`

    - #### getPort

          public String getPort()

      Description copied from class: `Device`
      Device port (optional)
      Specified by:
        `getPort` in class `Device`

    - #### getDriverPath

          public String getDriverPath()

      Description copied from class: `Device`
      Driver path if available
      Specified by:
        `getDriverPath` in class `Device`

    - #### getDriverVersion

          public String getDriverVersion()

      Description copied from class: `Device`
      Driver version if available
      Specified by:
        `getDriverVersion` in class `Device`

    - #### isScanner

          public boolean isScanner()

      Description copied from class: `Device`
      Whether the device is a scanner.
      Specified by:
        `isScanner` in class `Device`

    - #### isDuplexReady

          public boolean isDuplexReady()

      Description copied from class: `Device`
      Return true if this is a document feeder AND the duplexer is enabled and ready to use.
      Specified by:
        `isDuplexReady` in class `Device`

    - #### isFeedReady

          public boolean isFeedReady()

      Description copied from class: `Device`
      Return true if this is a document feeder AND it has a page loaded and is ready for use.
      Specified by:
        `isFeedReady` in class `Device`

    - #### isFlatReady

          public boolean isFlatReady()

      Description copied from class: `Device`
      Return true if this is a flatbed AND it is ready for use.
      Specified by:
        `isFlatReady` in class `Device`

    - #### getFlatbed

          public FunctionalUnit getFlatbed()

      Description copied from class: `Device`
      Finds the first flatbed functional unit.
      Overrides:
        `getFlatbed` in class `Device`
      Returns:
        the first flatbed function unit found or `null` if none is found.

    - #### getDocumentFeeder

          public FunctionalUnit getDocumentFeeder()

      Description copied from class: `Device`
      Finds the first document feeder functional unit
      Overrides:
        `getDocumentFeeder` in class `Device`
      Returns:
        the first document feeder functional unit or `null` if none is found.

    - #### toString

          public String toString(boolean verbose,
                        boolean withCapabilities)

      Description copied from class: `Device`
      String representation of this device.
      Specified by:
        `toString` in class `Device`

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com